#!/bin/bash
# Test SSL/TLS

GREEN=$(tput setaf 2)
CYAN=$(tput setaf 6)
RESET=$(tput sgr0)

echo -e "${CYAN}"
echo " > testssl.sh is a free command line tool"
echo " > which checks a server's service on any port" 
echo " > for the support of TLS/SSL ciphers," 
echo " > protocols as well as some cryptographic flaws." 

echo ""
echo  " > Find more @ https://github.com/drwetter/testssl.sh"

echo -e "$GREEN"
echo " > Bitte gib die komplette URL (z.B. https://test.example.com) an."
read -rp " > Welche Webseite soll getestet werden? " WEBSITE
echo -e "${RESET}"

docker pull drwetter/testssl.sh

docker run --rm -ti  drwetter/testssl.sh $WEBSITE
